# -*- coding: utf_8 -*-
from __future__ import with_statement
print "b148"
os.chdir("/home/simuw/simuw08/nb/sage_notebook/worksheets/wstein/1/cells/42")
sage.server.notebook.interact.SAGE_CELL_ID=42
__SAGE_t__=cputime()
__SAGE_w__=walltime()
symbols = ['bsc', 'vmw', 'sbux', 'aapl', 'amzn', 'goog', 'wfmi', 'msft', 'yhoo', 'ebay', 'java', 'rht', ]; symbols.sort()
stocks = dict([(s, finance.Stock(s)) for s in symbols])

@interact
def data(symbol = symbols, days=(Integer(20),(ellipsis_iter(Integer(1),Ellipsis,Integer(400)))), alpha=(RealNumber('0.3'),(Integer(0),RealNumber('1.0'))), beta=(RealNumber('0.5'),(Integer(0),RealNumber('1.0')))):
     S = stocks[symbol]
     html('<h1 align=center>Last %s Days of <font color="darkred">%s</font></h1>'%(days, S))
     c = S.close()[-days:]
     m = c.exponential_moving_average(alpha)[Integer(1):]
     m2 = c.exponential_moving_average(beta)[Integer(1):]
     show(c.plot() + m.plot(rgbcolor='#999999') + m2.plot(rgbcolor='#333333'), figsize=[Integer(8),Integer(4)])
print "CPU time: %.2f s,  Wall time: %.2f s"%(cputime(__SAGE_t__), walltime(__SAGE_w__))

print "e148"
