# -*- coding: utf_8 -*-
from __future__ import with_statement
print "b18"
os.chdir("/home/simuw/simuw08/nb/sage_notebook/worksheets/wstein/1/cells/42")
sage.server.notebook.interact.SAGE_CELL_ID=42
symbols = ['bsc', 'vmw', 'sbux', 'aapl', 'amzn', 'goog', 'wfmi', 'msft', 'yhoo', 'ebay', 'java', 'rht', ]; symbols.sort()
stocks = dict([(s, finance.Stock(s)) for s in symbols])

@interact
def data(symbol = symbols, other_symbol='', spline_samples=(Integer(8),(ellipsis_range(Integer(0),Ellipsis,Integer(15))))):
     if other_symbol != '':
         symbol = other_symbol
     S = finance.Stock(symbol)
     html('<h1 align=center><font color="darkred">%s</font></h1>'%S)
     S.plot_average(spline_samples).save('avg.png', figsize=[Integer(10),Integer(2)])
     S.plot_diff().save('diff.png', figsize=[Integer(10),Integer(2)])

     Y = S.yahoo()
     k = Y.keys(); k.sort()
     html('Price during last 52 weeks:<br>Grey line is a spline through %s points (do not take seriously!):<br> <img src="cell://avg.png">'%spline_samples)
     html('Difference from previous day:<br> <img src="cell://diff.png">')
     html('<table align=center>' + '\n'.join('<tr><td>%s</td><td>%s</td></tr>'%(k[i], Y[k[i]]) for i in range(len(k))) + '</table>')

print "e18"
