# -*- coding: utf_8 -*-
from __future__ import with_statement
print "b75"
os.chdir("/home/simuw/simuw08/nb/sage_notebook/worksheets/wstein/1/cells/42")
sage.server.notebook.interact.SAGE_CELL_ID=42
symbols = ['bsc', 'vmw', 'sbux', 'aapl', 'amzn', 'goog', 'wfmi', 'msft', 'yhoo', 'ebay', 'java', 'rht', ]; symbols.sort()
stocks = dict([(s, finance.Stock(s)) for s in symbols])

@interact
def data(symbol = symbols, days=(Integer(20),(ellipsis_iter(Integer(1),Ellipsis,Integer(1000))))):
     S = stocks[symbol]
     html('<h1 align=center>Last %s Days of <font color="darkred">%s</font></h1>'%(days, S))
     c = S.close()[-days:]
     show(c.plot() + c.geometric_moving_average(RealNumber('0.4')).plot(rgbcolor='red'))

print "e75"
